<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hotent.project.dao.CostProjectConclusionDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hotent.project.model.CostProjectConclusion">
        <id column="id" property="id" />
    <result column="project_id" property="projectId" />
    <result column="pricing_cost_structure" property="pricingCostStructure" />
    <result column="audit_content_method" property="auditContentMethod" />
    <result column="cost_deduction_reason" property="costDeductionReason" />
    <result column="cost_audit_conclusion" property="costAuditConclusion" />
    <result column="other_explanations" property="otherExplanations" />
    <result column="default_conditions" property="defaultConditions" />
    <result column="conclusion_status" property="conclusionStatus" />
    <result column="workflow_step" property="workflowStep" />
    <result column="status" property="status" />
    <result column="is_deleted" property="isDeleted" />
    <result column="create_time" property="createTime" />
    <result column="create_by" property="createBy" />
    <result column="update_time" property="updateTime" />
    <result column="update_by" property="updateBy" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, project_id, pricing_cost_structure, audit_content_method, cost_deduction_reason, cost_audit_conclusion, other_explanations, default_conditions, conclusion_status, workflow_step, status, is_deleted, create_time, create_by, update_time, update_by
    </sql>

	<select id="selectPage" resultMap="BaseResultMap">
		select 
			<include refid="Base_Column_List"/> 
		from
			cost_project_conclusion
		${ew.customSqlSegment}
	</select>
	
	<select id="selectList" resultMap="BaseResultMap">
		select 
			<include refid="Base_Column_List"/> 
		from
			cost_project_conclusion
		${ew.customSqlSegment}
	</select>
	
	<select id="selectById" resultMap="BaseResultMap">
		select 
			<include refid="Base_Column_List"/> 
		from
			cost_project_conclusion
		where 
		    id = ${id}
	</select>
</mapper>
